# Class: WpUsers — Documentation by YARD 0.8.6.1

Class List Method List File List

# Class: WpUsers

Inherits:
  WpItems
  - Object
  - Array
  - WpItems
  - WpUsers
  show all
Extended by:
  Detectable
Includes:
  BruteForcable, Output
Defined in:
  lib/common/collections/wp_users.rb,
  lib/common/collections/wp_users/output.rb,
  lib/common/collections/wp_users/detectable.rb,
  lib/common/collections/wp_users/brute_forcable.rb

## Defined Under Namespace

Modules: BruteForcable, Detectable, Output

## Instance Attribute Summary

### Attributes included from WpItems::Detectable

#item_xpath, #vulns_file

## Method Summary

### Methods included from Detectable

passive_detection, request_params, targets_items

### Methods included from BruteForcable

#brute_force

### Methods included from Output

#output

### Methods included from WpItems::Detectable

#aggressive_detection, #create_item, #item_class, #passive_detection, #progress_bar, #request_params, #targets_items, #targets_items_from_file, #vulnerable_targets_items

### Methods included from WpItems::Output

#output

### Methods inherited from Array

#_grep_